Subject: bug#42761: 28.0.50; [feature/native-comp] allow customizing command line/driver options?

From: Andrea Corallo <[email-masked]>
Date: Thu, 20 Aug 2020 16:43:50 +0000

Andreas Fuchs <[email-masked]> writes:

> Ah! That's a good point about users being unable to tell if their
> options will work until they try to compile.
>
> I would like to keep the driver-option setting interface as a
> variable holding a list, as that still allows users to edit them with
> the emacs-provided functions to do so. With a function accessor, we'd
> have to add functions to add/remove/map over/etc the options, which
> emacs already provides with `add-to-list' and friends.
>  
> I think we could expose a predicate
> `comp-native-driver-options-available-p' that'll return t if the
> necessary facility exists.
>
> For some extra credit, maybe we could even have that predicate test
> whether a given set of driver options has a chance of succeeding (I
> guess that this would have to attempt a no-op compile to exercise the
> compiler->linker chain). A predicate to test for compatibility would
> be the nicest and would fit the bill well, though.

Mmhh I guess a third way would be to expose a function the return a list
of all the available and effective features (ATM we have also
`comp-libgccjit-version').

Dunno, unless somebody has some formed opinion I'm fine also with
exposing for now `comp-native-driver-options-available-p'.

  Andrea

-- 
[email-masked]